Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TActivityInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TActivityInfoImpl

    public interface TActivityInfo

extends org.apache.xmlbeans.XmlObject

An XML tActivityInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TActivityInfo.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`TFailureInfo` | `addNewFailure()` Appends and returns a new empty "failure" element
`TScopeRef` | `addNewScope()` Appends and returns a new empty "scope" element
`java.lang.String` | `getAiid()` Gets the "aiid" element
`java.util.Calendar` | `getDtCompleted()` Gets the "dt-completed" element
`java.util.Calendar` | `getDtEnabled()` Gets the "dt-enabled" element
`java.util.Calendar` | `getDtStarted()` Gets the "dt-started" element
`TFailureInfo` | `getFailure()` Gets the "failure" element
`java.lang.String` | `getName()` Gets the "name" element
`TScopeRef` | `getScope()` Gets the "scope" element
`TActivityStatus.Enum` | `getStatus()` Gets the "status" element
`java.lang.String` | `getType()` Gets the "type" element
`boolean` | `isSetDtCompleted()` True if has "dt-completed" element
`boolean` | `isSetDtEnabled()` True if has "dt-enabled" element
`boolean` | `isSetDtStarted()` True if has "dt-started" element
`boolean` | `isSetFailure()` True if has "failure" element
`boolean` | `isSetName()` True if has "name" element
`boolean` | `isSetScope()` True if has "scope" element
`void` | `setAiid(java.lang.String aiid)` Sets the "aiid" element
`void` | `setDtCompleted(java.util.Calendar dtCompleted)` Sets the "dt-completed" element
`void` | `setDtEnabled(java.util.Calendar dtEnabled)` Sets the "dt-enabled" element
`void` | `setDtStarted(java.util.Calendar dtStarted)` Sets the "dt-started" element
`void` | `setFailure(TFailureInfo failure)` Sets the "failure" element
`void` | `setName(java.lang.String name)` Sets the "name" element
`void` | `setScope(TScopeRef scope)` Sets the "scope" element
`void` | `setStatus(TActivityStatus.Enum status)` Sets the "status" element
`void` | `setType(java.lang.String type)` Sets the "type" element
`void` | `unsetDtCompleted()` Unsets the "dt-completed" element
`void` | `unsetDtEnabled()` Unsets the "dt-enabled" element
`void` | `unsetDtStarted()` Unsets the "dt-started" element
`void` | `unsetFailure()` Unsets the "failure" element
`void` | `unsetName()` Unsets the "name" element
`void` | `unsetScope()` Unsets the "scope" element
`org.apache.xmlbeans.XmlString` | `xgetAiid()` Gets (as xml) the "aiid" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtCompleted()` Gets (as xml) the "dt-completed" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtEnabled()` Gets (as xml) the "dt-enabled" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtStarted()` Gets (as xml) the "dt-started" element
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
`TActivityStatus` | `xgetStatus()` Gets (as xml) the "status" element
`org.apache.xmlbeans.XmlString` | `xgetType()` Gets (as xml) the "type" element
`void` | `xsetAiid(org.apache.xmlbeans.XmlString aiid)` Sets (as xml) the "aiid" element
`void` | `xsetDtCompleted(org.apache.xmlbeans.XmlDateTime dtCompleted)` Sets (as xml) the "dt-completed" element
`void` | `xsetDtEnabled(org.apache.xmlbeans.XmlDateTime dtEnabled)` Sets (as xml) the "dt-enabled" element
`void` | `xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)` Sets (as xml) the "dt-started" element
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
`void` | `xsetStatus(TActivityStatus status)` Sets (as xml) the "status" element
`void` | `xsetType(org.apache.xmlbeans.XmlString type)` Sets (as xml) the "type" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getName

    java.lang.String getName()

  Gets the "name" element

### xgetName

    org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" element

### isSetName

    boolean isSetName()

  True if has "name" element

### setName

    void setName(java.lang.String name)

  Sets the "name" element

### xsetName

    void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" element

### unsetName

    void unsetName()

  Unsets the "name" element

### getType

    java.lang.String getType()

  Gets the "type" element

### xgetType

    org.apache.xmlbeans.XmlString xgetType()

  Gets (as xml) the "type" element

### setType

    void setType(java.lang.String type)

  Sets the "type" element

### xsetType

    void xsetType(org.apache.xmlbeans.XmlString type)

  Sets (as xml) the "type" element

### getAiid

    java.lang.String getAiid()

  Gets the "aiid" element

### xgetAiid

    org.apache.xmlbeans.XmlString xgetAiid()

  Gets (as xml) the "aiid" element

### setAiid

    void setAiid(java.lang.String aiid)

  Sets the "aiid" element

### xsetAiid

    void xsetAiid(org.apache.xmlbeans.XmlString aiid)

  Sets (as xml) the "aiid" element

### getStatus

    TActivityStatus.Enum getStatus()

  Gets the "status" element

### xgetStatus

    TActivityStatus xgetStatus()

  Gets (as xml) the "status" element

### setStatus

    void setStatus(TActivityStatus.Enum status)

  Sets the "status" element

### xsetStatus

    void xsetStatus(TActivityStatus status)

  Sets (as xml) the "status" element

### getScope

    TScopeRef getScope()

  Gets the "scope" element

### isSetScope

    boolean isSetScope()

  True if has "scope" element

### setScope

    void setScope(TScopeRef scope)

  Sets the "scope" element

### addNewScope

    TScopeRef addNewScope()

  Appends and returns a new empty "scope" element

### unsetScope

    void unsetScope()

  Unsets the "scope" element

### getDtEnabled

    java.util.Calendar getDtEnabled()

  Gets the "dt-enabled" element

### xgetDtEnabled

    org.apache.xmlbeans.XmlDateTime xgetDtEnabled()

  Gets (as xml) the "dt-enabled" element

### isSetDtEnabled

    boolean isSetDtEnabled()

  True if has "dt-enabled" element

### setDtEnabled

    void setDtEnabled(java.util.Calendar dtEnabled)

  Sets the "dt-enabled" element

### xsetDtEnabled

    void xsetDtEnabled(org.apache.xmlbeans.XmlDateTime dtEnabled)

  Sets (as xml) the "dt-enabled" element

### unsetDtEnabled

    void unsetDtEnabled()

  Unsets the "dt-enabled" element

### getDtStarted

    java.util.Calendar getDtStarted()

  Gets the "dt-started" element

### xgetDtStarted

    org.apache.xmlbeans.XmlDateTime xgetDtStarted()

  Gets (as xml) the "dt-started" element

### isSetDtStarted

    boolean isSetDtStarted()

  True if has "dt-started" element

### setDtStarted

    void setDtStarted(java.util.Calendar dtStarted)

  Sets the "dt-started" element

### xsetDtStarted

    void xsetDtStarted(org.apache.xmlbeans.XmlDateTime dtStarted)

  Sets (as xml) the "dt-started" element

### unsetDtStarted

    void unsetDtStarted()

  Unsets the "dt-started" element

### getDtCompleted

    java.util.Calendar getDtCompleted()

  Gets the "dt-completed" element

### xgetDtCompleted

    org.apache.xmlbeans.XmlDateTime xgetDtCompleted()

  Gets (as xml) the "dt-completed" element

### isSetDtCompleted

    boolean isSetDtCompleted()

  True if has "dt-completed" element

### setDtCompleted

    void setDtCompleted(java.util.Calendar dtCompleted)

  Sets the "dt-completed" element

### xsetDtCompleted

    void xsetDtCompleted(org.apache.xmlbeans.XmlDateTime dtCompleted)

  Sets (as xml) the "dt-completed" element

### unsetDtCompleted

    void unsetDtCompleted()

  Unsets the "dt-completed" element

### getFailure

    TFailureInfo getFailure()

  Gets the "failure" element

### isSetFailure

    boolean isSetFailure()

  True if has "failure" element

### setFailure

    void setFailure(TFailureInfo failure)

  Sets the "failure" element

### addNewFailure

    TFailureInfo addNewFailure()

  Appends and returns a new empty "failure" element

### unsetFailure

    void unsetFailure()

  Unsets the "failure" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD